netsnmp_monitor_callback_header_s(3)

NAME
netsnmp_monitor_callback_header_s -

callback header

SYNOPSIS

#include <object_monitor.h>

  Data Fields
unsigned int event
callback type
netsnmp_index monitored_object
registered oid
int priority
priority
void * watcher_data
pointer given by watcher at registration
void * object_info
pointer passed from the monitored object
struct netsnmp_monitor_callback_header_s * private
DO NOT USE, INTERNAL USE ONLY.
int refs

Detailed Description

callback header

Definition at line 64 of file object_monitor.h.

Field Documentation

  unsigned int netsnmp_monitor_callback_header_s::event

callback type

Definition at line 67 of file object_monitor.h.

  netsnmp_index netsnmp_monitor_callback_header_s::monitored_object

registered oid

Definition at line 70 of file object_monitor.h.

  void* netsnmp_monitor_callback_header_s::object_info

pointer passed from the monitored object

Definition at line 79 of file object_monitor.h.

  int netsnmp_monitor_callback_header_s::priority

priority

Definition at line 73 of file object_monitor.h.

  struct netsnmp_monitor_callback_header_s* netsnmp_monitor_callback_header_s::private [read]

DO NOT USE, INTERNAL USE ONLY.

Definition at line 82 of file object_monitor.h.

  void* netsnmp_monitor_callback_header_s::watcher_data

pointer given by watcher at registration

Definition at line 76 of file object_monitor.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.